Subject: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Juri Linkov <[email-masked]>
Date: Tue, 27 Aug 2024 19:31:37 +0300

>> Reverting this line fixes the problem:
>>
>> -      f->face_change = true;
>
> Which OS is this on?  I'm having weird trouble when running the Windows
> binary in wine, which I attribute to this change: when menu-bar-mode is
> on, the Emacs frame raises itself whenever it loses focus.

This was on GNU/Linux (x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0),
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000

> I see Eli reverted the change, which makes sense for now.  We'll have to
> find another way to fix this, I think.

I'm ready to test any changes when you'll find another way to fix this.